V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
LinkedIn
ucun
V2EX  ›  前端开发

现阶段入前端,不考虑兼容性。是否可以只选 es6 或 typescript 中的一种?

  •  
  •   ucun · 2018-11-27 10:58:43 +08:00 · 2916 次点击
    这是一个创建于 1403 天前的主题,其中的信息可能已经有所发展或是发生改变。

    之前做一些项目都是套模板

    现在想点点前端技能树

    就目前阶段,是否可以只选 es6 或 typescript 中的一种?

    8 条回复    2018-12-29 16:33:27 +08:00
    bestie
        1
    bestie  
       2018-11-27 13:19:09 +08:00
    可以
    shintendo
        2
    shintendo  
       2018-11-27 13:23:36 +08:00
    不考虑兼容性是什么意思……浏览器能跑 typescript 了吗
    maichael
        3
    maichael  
       2018-11-27 13:45:43 +08:00
    可以。
    bestie
        4
    bestie  
       2018-11-27 13:49:07 +08:00
    @shintendo 现阶段跑在浏览器上的基本都是编译过的,所以不考虑兼容性也没什么问题
    learnshare
        5
    learnshare  
       2018-11-27 13:59:16 +08:00
    用 ES6+ 和 TypeScript 跟兼容性没关系,跑的代码都是编译后的
    nonoroazoro
        6
    nonoroazoro  
       2018-11-27 17:35:18 +08:00
    因为 TypeScript 是 JavaScript 的超集,并且加上了类型系统(可选),一举两得,你不会后悔的。
    feverzsj
        7
    feverzsj  
       2018-11-27 17:41:42 +08:00
    ts 会让一般的开发变得更麻烦,没什么太大意义,用 es 就足够了
    Gathaly
        8
    Gathaly  
       2018-12-29 16:33:27 +08:00
    es6 吧,typescript 后期没人维护就麻烦了
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3506 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 46ms · UTC 09:52 · PVG 17:52 · LAX 02:52 · JFK 05:52
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.